Bug 113593 - LSB: ANSI.os/genuts/free/T.free test-case 1 fails
LSB: ANSI.os/genuts/free/T.free test-case 1 fails
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-15 12:14 EST by Glen A. Foster
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-25 19:21:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen A. Foster 2004-01-15 12:14:55 EST
Description of problem: This represents a regression from the previous
kernel/glibc combination.  Test case #1 for genuts/free fails with the
beta-2 taroon update 1 kernel/glibc.

Version-Release number of selected component (if applicable):
# rpm -q kernel glibc
glibc-2.3.2-95.6
glibc-2.3.2-95.6
kernel-2.4.21-7.EL

How reproducible: 100%

Steps to Reproduce:
1. everything install
2. install LSB 1.3.6-3 test suite
3. configure test, login as vsx0 and run the tests
4. examine the results
  
Actual results: Perusing the existing waivers, we see this output from
"tjreport -w LSB.waivers.all results/0001e/journal":

/tset/ANSI.os/genuts/free/T.free 1 FAIL
/tset/LI18NUX2K.L1/utils/msgfmt/msgfmt 9 FAIL (WAIVED)
/tset/LSB.os/mfiles/mmap_P/T.mmap_P 29 FAIL (WAIVED)
/tset/LSB.os/mfiles/mmap_P/T.mmap_P 34 FAIL (WAIVED)
/tset/LSB.os/mfiles/munmap_P/T.munmap_P 4 FAIL (WAIVED)
/tset/LSB.os/procprim/exec_L/T.execl_L 1 UNRESOLVED (WAIVED)
/tset/LSB.os/procprim/exec_L/T.execl_L 2 UNRESOLVED (WAIVED)
/tset/LSB.os/procprim/exec_L/T.execle_L 1 UNRESOLVED (WAIVED)
/tset/LSB.os/procprim/exec_L/T.execle_L 2 UNRESOLVED (WAIVED)
/tset/LSB.os/procprim/exec_L/T.execlp_L 1 UNRESOLVED (WAIVED)
/tset/LSB.os/procprim/exec_L/T.execlp_L 2 UNRESOLVED (WAIVED)
/tset/LSB.os/procprim/exec_L/T.execv_L 1 UNRESOLVED (WAIVED)
/tset/LSB.os/procprim/exec_L/T.execv_L 2 UNRESOLVED (WAIVED)
/tset/LSB.os/procprim/exec_L/T.execve_L 1 UNRESOLVED (WAIVED)
/tset/LSB.os/procprim/exec_L/T.execve_L 2 UNRESOLVED (WAIVED)
/tset/LSB.os/procprim/exec_L/T.execvp_L 1 UNRESOLVED (WAIVED)
/tset/LSB.os/procprim/exec_L/T.execvp_L 2 UNRESOLVED (WAIVED)
/tset/POSIX.os/procenv/sysconf/T.sysconf 8 FAIL (WAIVED)

... and from the journal:

10|50 /tset/ANSI.os/genuts/free/T.free 15:04:46|TC Start, scenario ref
52-0
15|50 3.3-lite 2|TCM Start
400|50 1 1 15:04:46|IC Start
200|50 1 15:04:46|TP Start
520|50 1 00006963 1 1|failed to reuse freed memory in next 1000
malloc() calls
220|50 1 1 15:04:46|FAIL
Comment 1 Jakub Jelinek 2004-01-19 05:08:01 EST
Doesn't fail for me (though the programmer who wrote the testcase
should be shot).  glibc-2.3.2-95.6, kernel-2.4.21-9.EL.  Anyone else can reproduce it?
Comment 2 Glen A. Foster 2004-01-20 16:21:21 EST
Hrm... if you run _just_ the free testcase, it doesn't fail, even with
the -7.EL kernel.  If you run all the LSB tests, it intermittently fails.
Comment 3 Glen A. Foster 2004-01-25 19:21:10 EST
I can't consistently reproduce this (no better than 1 time out of 10),
so I'm closing it.  I'll re-open it if I discover a more reproducible
scenario.

Note You need to log in before you can comment on or make changes to this bug.